﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using SWSG.BffService.Data;

#nullable disable

namespace SWSG.BffService.Data.Migrations
{
    [DbContext(typeof(ServiceDbContext))]
    partial class ServiceDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.11")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("SWSG.BffService.Data.Contracts.BuildingEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<long>("Id"));

                    b.Property<string>("Address")
                        .HasColumnType("text")
                        .HasColumnName("address");

                    b.Property<int?>("Dplz4")
                        .HasColumnType("integer");

                    b.Property<int?>("DrillPossibilityState")
                        .HasColumnType("integer")
                        .HasColumnName("drill_possibility_state");

                    b.Property<string>("Egid")
                        .HasColumnType("text")
                        .HasColumnName("egid");

                    b.Property<int?>("Garea")
                        .HasColumnType("integer");

                    b.Property<int?>("Gastw")
                        .HasColumnType("integer")
                        .HasColumnName("gastw");

                    b.Property<string>("Gasversorgung")
                        .HasColumnType("text")
                        .HasColumnName("gasversorgung");

                    b.Property<int?>("Gbauj")
                        .HasColumnType("integer")
                        .HasColumnName("gbauj");

                    b.Property<string>("Gbaum")
                        .HasColumnType("text")
                        .HasColumnName("gbaum");

                    b.Property<string>("Gdekt")
                        .HasColumnType("text");

                    b.Property<string>("Gebf")
                        .HasColumnType("text")
                        .HasColumnName("gebf");

                    b.Property<int?>("Genh1")
                        .HasColumnType("integer")
                        .HasColumnName("genh1");

                    b.Property<string>("Genh2")
                        .HasColumnType("text")
                        .HasColumnName("genh2");

                    b.Property<int?>("Genw1")
                        .HasColumnType("integer")
                        .HasColumnName("genw1");

                    b.Property<int?>("Genw2")
                        .HasColumnType("integer")
                        .HasColumnName("genw2");

                    b.Property<string>("Ggdename")
                        .HasColumnType("text");

                    b.Property<int?>("Gkat")
                        .HasColumnType("integer")
                        .HasColumnName("gkat");

                    b.Property<int?>("Gklas")
                        .HasColumnType("integer")
                        .HasColumnName("gklas");

                    b.Property<int?>("Gstat")
                        .HasColumnType("integer")
                        .HasColumnName("gstat");

                    b.Property<string>("Gvol")
                        .HasColumnType("text");

                    b.Property<string>("Gwaerdath1")
                        .HasColumnType("text");

                    b.Property<string>("Gwaerdatw1")
                        .HasColumnType("text");

                    b.Property<int?>("Gwaersceh1")
                        .HasColumnType("integer");

                    b.Property<int?>("Gwaerscew1")
                        .HasColumnType("integer");

                    b.Property<int?>("Gwaerzh1")
                        .HasColumnType("integer")
                        .HasColumnName("gwaerzh1");

                    b.Property<string>("Gwaerzh2")
                        .HasColumnType("text")
                        .HasColumnName("gwaerzh2");

                    b.Property<int?>("Gwaerzw1")
                        .HasColumnType("integer")
                        .HasColumnName("gwaerzw1");

                    b.Property<int?>("Gwaerzw2")
                        .HasColumnType("integer")
                        .HasColumnName("gwaerzw2");

                    b.Property<string>("HestiaBeschreibung")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("hestia_beschreibung");

                    b.Property<double?>("Latitude")
                        .HasColumnType("double precision")
                        .HasColumnName("latitude");

                    b.Property<double?>("Longitude")
                        .HasColumnType("double precision")
                        .HasColumnName("longitude");

                    b.Property<string>("PlzPlz6")
                        .HasColumnType("text");

                    b.Property<string>("StrnameDeinr")
                        .HasColumnType("text");

                    b.Property<string>("UmsetzungBis")
                        .HasColumnType("text")
                        .HasColumnName("umsetzung_bis");

                    b.Property<string>("UmsetzungVon")
                        .HasColumnType("text")
                        .HasColumnName("umsetzung_von");

                    b.Property<string>("WaermeVersorgung")
                        .HasColumnType("text")
                        .HasColumnName("waermeversorgung");

                    b.Property<string>("Wkche")
                        .HasColumnType("text");

                    b.Property<float?>("X")
                        .HasColumnType("real")
                        .HasColumnName("x");

                    b.Property<float?>("Y")
                        .HasColumnType("real")
                        .HasColumnName("y");

                    b.HasKey("Id");

                    b.ToTable("buildings", "ernergy-data");
                });

            modelBuilder.Entity("SWSG.BffService.Data.Contracts.RemoteHeatingEntity", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("id");

                    NpgsqlPropertyBuilderExtensions.UseIdentityByDefaultColumn(b.Property<long>("Id"));

                    b.Property<int?>("BeginningOfOperation")
                        .HasColumnType("integer")
                        .HasColumnName("beginningofoperation");

                    b.Property<int?>("Energy")
                        .HasColumnType("integer")
                        .HasColumnName("energy");

                    b.Property<string>("EnergySource")
                        .HasColumnType("text")
                        .HasColumnName("energysource");

                    b.Property<string>("EnersourceMain")
                        .HasColumnType("text")
                        .HasColumnName("enersource_main");

                    b.Property<int?>("HouseConnections")
                        .HasColumnType("integer")
                        .HasColumnName("houseconnections");

                    b.Property<string>("Name")
                        .HasColumnType("text")
                        .HasColumnName("name");

                    b.Property<int?>("NetLength")
                        .HasColumnType("integer")
                        .HasColumnName("netlength");

                    b.Property<string>("Operator")
                        .HasColumnType("text")
                        .HasColumnName("operator");

                    b.Property<string>("OperatorAddress")
                        .HasColumnType("text")
                        .HasColumnName("operatoraddress");

                    b.Property<string>("Phone")
                        .HasColumnType("text")
                        .HasColumnName("phone");

                    b.Property<string>("Place")
                        .HasColumnType("text")
                        .HasColumnName("place");

                    b.Property<string>("PositionAccuracy")
                        .HasColumnType("text")
                        .HasColumnName("positionaccuracy");

                    b.Property<int?>("X")
                        .HasColumnType("integer")
                        .HasColumnName("x");

                    b.Property<int?>("Y")
                        .HasColumnType("integer")
                        .HasColumnName("y");

                    b.Property<int?>("Zip")
                        .HasColumnType("integer")
                        .HasColumnName("zip");

                    b.HasKey("Id");

                    b.ToTable("remote_heatings", "ernergy-data");
                });
#pragma warning restore 612, 618
        }
    }
}
